Page 1 of 1

./ShadowgroundsBeta12.run: error while loading shared lib

Posted: Fri Apr 29, 2011 5:53 pm
by atari130xe
Hello forum I am trying to install the bundles (Shadowgrounds in this case) in Kubuntu 11.04 (32 bits) and I can't even install the games
If I use the console I get the following:

Code: Select all

[email protected]:$ ./ShadowgroundsBeta12.run
./ShadowgroundsBeta12.run: error while loading shared libraries: libglade-2.0.so.0: cannot open shared object file: No such file or directory
It happens with trine too.

I am trying to install ia32-libs-gtk but I cant find it on kpackagekit, any clue? thanks!

Re: ./ShadowgroundsBeta12.run: error while loading shared li

Posted: Mon May 02, 2011 2:18 pm
by alt_tuomas
You could try asking on Kubuntu forums perhaps? Sorry I can't be more helpful, we're not using Kubuntu ourselves.

Re: ./ShadowgroundsBeta12.run: error while loading shared li

Posted: Thu Jun 02, 2011 11:41 am
by codl
I'm having the same problem on Archlinux (x86_64)

Code: Select all

./shadowgroundsUpdate1.run
./shadowgroundsUpdate1.run: error while loading shared libraries: libglade-2.0.so.0: cannot open shared object file: No such file or directory

Code: Select all

ls /usr/lib | grep libglade
libglade-2.0.a
libglade-2.0.so
libglade-2.0.so.0
libglade-2.0.so.0.0.7


But I've found out the installer is just a glorified zip file and it can be unzipped

Code: Select all

mkdir shadowgrounds
cd shadowgrounds
unzip ../shadowgroundsUpdate1.run

Re: ./ShadowgroundsBeta12.run: error while loading shared li

Posted: Thu Jun 02, 2011 10:38 pm
by alt_turo
You need to install 32-bit compatibility libraries. I don't know how to do this on Arch, try asking on their forums if you have trouble.

Re: ./ShadowgroundsBeta12.run: error while loading shared li

Posted: Mon Jun 18, 2012 9:03 pm
by svetlio
I've had the same problem, but in the Precise Pangolin based Mint 13 Maya x86_64 and with both Shadowgrounds and Survivor. I have the latest version of ia32-libs installed.
Since I've had the same issue with Mint 12 /and Oneiric/ is there any way to overcome that ?

Re: ./ShadowgroundsBeta12.run: error while loading shared li

Posted: Tue Jun 26, 2012 8:42 am
by adderx99
Same here. I'm trying to install from the humble bundle. Shadowgrounds and Survivor both fail.

Code: Select all

./survivorUpdate1.run
./survivorUpdate1.run: error while loading shared libraries: libglade-2.0.so.0: cannot open shared object file: No such file or directory


Linux Desktop 3.2.0-25-generic #40-Ubuntu SMP Wed May 23 20:30:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

The installer needs to be updated to be compatible with x64 bit machines. Until then, it's unplayable :/